diff -c ../fkiss-0.33/Makefile.in ./Makefile.in
*** ../fkiss-0.33/Makefile.in	Mon Nov 12 17:29:39 2001
--- ./Makefile.in	Wed Nov 28 13:05:42 2001
***************
*** 107,112 ****
--- 107,116 ----
  
  TAR = gtar
  GZIP_ENV = --best
+ DEP_FILES =  .deps/bg.P .deps/codeconv.P .deps/color.P .deps/comment.P \
+ .deps/cursor.P .deps/dir.P .deps/fkiss.P .deps/jiscode.P \
+ .deps/kisscnf.P .deps/kisseve.P .deps/menu.P .deps/message.P \
+ .deps/selcnf.P .deps/sound.P .deps/sub.P .deps/timer.P .deps/work.P
  SOURCES = $(fkiss_SOURCES)
  OBJECTS = $(fkiss_OBJECTS)
  
***************
*** 114,122 ****
  .SUFFIXES:
  .SUFFIXES: .S .c .o .s
  $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
! 	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile
  
! Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
  	cd $(top_builddir) \
  	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
  
--- 118,126 ----
  .SUFFIXES:
  .SUFFIXES: .S .c .o .s
  $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
! 	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
  
! Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
  	cd $(top_builddir) \
  	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
  
***************
*** 181,189 ****
  	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
  	done
  
- .c.o:
- 	$(COMPILE) -c $<
- 
  .s.o:
  	$(COMPILE) -c $<
  
--- 185,190 ----
***************
*** 271,276 ****
--- 272,282 ----
  	-rm -rf $(distdir)
  	mkdir $(distdir)
  	-chmod 777 $(distdir)
+ 	here=`cd $(top_builddir) && pwd`; \
+ 	top_distdir=`cd $(distdir) && pwd`; \
+ 	distdir=`cd $(distdir) && pwd`; \
+ 	cd $(top_srcdir) \
+ 	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
  	@for file in $(DISTFILES); do \
  	  d=$(srcdir); \
  	  if test -d $$d/$$file; then \
***************
*** 281,286 ****
--- 287,324 ----
  	    || cp -p $$d/$$file $(distdir)/$$file || :; \
  	  fi; \
  	done
+ 
+ DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)
+ 
+ -include $(DEP_FILES)
+ 
+ mostlyclean-depend:
+ 
+ clean-depend:
+ 
+ distclean-depend:
+ 	-rm -rf .deps
+ 
+ maintainer-clean-depend:
+ 
+ %.o: %.c
+ 	@echo '$(COMPILE) -c $<'; \
+ 	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
+ 	@-cp .deps/$(*F).pp .deps/$(*F).P; \
+ 	tr ' ' '\012' < .deps/$(*F).pp \
+ 	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
+ 	    >> .deps/$(*F).P; \
+ 	rm .deps/$(*F).pp
+ 
+ %.lo: %.c
+ 	@echo '$(LTCOMPILE) -c $<'; \
+ 	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
+ 	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
+ 	  < .deps/$(*F).pp > .deps/$(*F).P; \
+ 	tr ' ' '\012' < .deps/$(*F).pp \
+ 	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
+ 	    >> .deps/$(*F).P; \
+ 	rm -f .deps/$(*F).pp
  info-am:
  info: info-am
  dvi-am:
***************
*** 321,345 ****
  
  maintainer-clean-generic:
  mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
! 		mostlyclean-compile mostlyclean-tags \
  		mostlyclean-generic
  
  mostlyclean: mostlyclean-am
  
  clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-tags \
! 		clean-generic mostlyclean-am
  
  clean: clean-am
  
  distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
! 		distclean-tags distclean-generic clean-am
  
  distclean: distclean-am
  	-rm -f config.status
  
  maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
  		maintainer-clean-compile maintainer-clean-tags \
! 		maintainer-clean-generic distclean-am
  	@echo "This command is intended for maintainers to use;"
  	@echo "it deletes files that may require special tools to rebuild."
  
--- 359,385 ----
  
  maintainer-clean-generic:
  mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
! 		mostlyclean-compile mostlyclean-tags mostlyclean-depend \
  		mostlyclean-generic
  
  mostlyclean: mostlyclean-am
  
  clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-tags \
! 		clean-depend clean-generic mostlyclean-am
  
  clean: clean-am
  
  distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
! 		distclean-tags distclean-depend distclean-generic \
! 		clean-am
  
  distclean: distclean-am
  	-rm -f config.status
  
  maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
  		maintainer-clean-compile maintainer-clean-tags \
! 		maintainer-clean-depend maintainer-clean-generic \
! 		distclean-am
  	@echo "This command is intended for maintainers to use;"
  	@echo "it deletes files that may require special tools to rebuild."
  
***************
*** 351,360 ****
  maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
  mostlyclean-compile distclean-compile clean-compile \
  maintainer-clean-compile tags mostlyclean-tags distclean-tags \
! clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
! check-am installcheck-am installcheck all-recursive-am install-exec-am \
! install-exec install-data-am install-data install-am install \
! uninstall-am uninstall all-redirect all-am all installdirs \
  mostlyclean-generic distclean-generic clean-generic \
  maintainer-clean-generic clean mostlyclean distclean maintainer-clean
  
--- 391,401 ----
  maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
  mostlyclean-compile distclean-compile clean-compile \
  maintainer-clean-compile tags mostlyclean-tags distclean-tags \
! clean-tags maintainer-clean-tags distdir mostlyclean-depend \
! distclean-depend clean-depend maintainer-clean-depend info-am info \
! dvi-am dvi check check-am installcheck-am installcheck all-recursive-am \
! install-exec-am install-exec install-data-am install-data install-am \
! install uninstall-am uninstall all-redirect all-am all installdirs \
  mostlyclean-generic distclean-generic clean-generic \
  maintainer-clean-generic clean mostlyclean distclean maintainer-clean
  
diff -c ../fkiss-0.33/configure ./configure
*** ../fkiss-0.33/configure	Mon Nov 12 17:57:38 2001
--- ./configure	Wed Nov 28 13:05:46 2001
***************
*** 693,699 ****
  
  PACKAGE=fkiss
  
! VERSION=0.33
  
  if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
    { echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
--- 693,699 ----
  
  PACKAGE=fkiss
  
! VERSION=0.33a
  
  if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
    { echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
diff -c ../fkiss-0.33/configure.in ./configure.in
*** ../fkiss-0.33/configure.in	Mon Nov 12 16:47:39 2001
--- ./configure.in	Wed Nov 28 12:47:49 2001
***************
*** 1,6 ****
  dnl Process this file with autoconf to produce a configure script.
  AC_INIT(fkiss.c)
! AM_INIT_AUTOMAKE(fkiss,0.33,notdef)
  AM_CONFIG_HEADER(config.h)
  
  dnl Checks for programs.
--- 1,6 ----
  dnl Process this file with autoconf to produce a configure script.
  AC_INIT(fkiss.c)
! AM_INIT_AUTOMAKE(fkiss,0.33a,notdef)
  AM_CONFIG_HEADER(config.h)
  
  dnl Checks for programs.
diff -c ../fkiss-0.33/sub.c ./sub.c
*** ../fkiss-0.33/sub.c	Mon Nov 12 16:14:24 2001
--- ./sub.c	Wed Nov 28 12:45:41 2001
***************
*** 30,35 ****
--- 30,39 ----
  #define PUBLIC_SUB_C
  #include "extern.h"
  
+ #ifdef HAVE_SIGNAL_H
+ #include <signal.h>
+ #endif
+ 
  int ks_system2(str)
       char *str;
  {
***************
*** 46,52 ****
    /* clean up extracted files */
    if (extract_dir != NULL) {
      buf = ks_malloc(strlen(extract_dir) + 16);
!     sprintf(buf, "rm -rf %s &", extract_dir);
      ks_system2(buf);
      free(buf);
    }
--- 50,56 ----
    /* clean up extracted files */
    if (extract_dir != NULL) {
      buf = ks_malloc(strlen(extract_dir) + 16);
!     sprintf(buf, "rm -rf %s", extract_dir);
      ks_system2(buf);
      free(buf);
    }
***************
*** 54,61 ****
      XCloseDisplay(dsp);
      
    /* kill outstanding subprocesses ie: external audio players */
!   signal(15, NULL);
!   killpg(0, 15);
    
    exit(code);
  }
--- 58,65 ----
      XCloseDisplay(dsp);
      
    /* kill outstanding subprocesses ie: external audio players */
!   signal(SIGTERM, SIG_IGN);
!   killpg(0, SIGTERM);
    
    exit(code);
  }
diff -c ../fkiss-0.33/version.h ./version.h
*** ../fkiss-0.33/version.h	Mon Nov 12 16:16:08 2001
--- ./version.h	Wed Nov 28 12:52:26 2001
***************
*** 17,22 ****
   * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   */
  
! #define FKISS_VERSION "0.33 Haruka"
  
  /* End of file */
--- 17,22 ----
   * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   */
  
! #define FKISS_VERSION "0.33a Haruka"
  
  /* End of file */
